# Administration Reference

## vos unlock

Purpose

Unlocks a single VLDB entry

Synopsis

    vos unlock -id <volume name or ID>  [-cell <cell name>]  [-noauth]
               [-localauth]  [-verbose]  [-help]

    vos unlock -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos unlock command releases the lock on the Volume Location Database (VLDB) entry for the indicated volume.

Cautions

Do not user this command under normal circumstances.

It is useful if the VLDB entry is locked but there is no reason to suspect inconsistency within the volume or between it and the VLDB. Note that it is possible to list information from locked VLDB entries, even though they cannot be manipulated in other ways.

The vos unlockvldb command unlocks several VLDB entries at once, or even the entire VLDB. The vos lock command locks a VLDB entry so that no one else can perform an action that requires writing the VLDB.

Options

-id
  Specifies either the complete name or volume ID number of a volume of any of the three types.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example unlocks the VLDB entry for the volume user.terry.

       % vos unlock user.terry

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos lock

vos unlockvldb

© IBM Corporation 2000. All Rights Reserved